org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class UnionTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.UnionTest

- Direct Known Subclasses:
    UnionTest.Traversals

      public abstract class UnionTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UnionTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnionTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount()`
    `void` | `g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX()`
    `void` | `g_V_unionXout__inX_name()`
    `void` | `g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount()`
    `void` | `g_VX1_2X_localXunionXcountXX()`
    `void` | `g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX()`
    `void` | `g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX()`
    `void` | `g_VX1X_unionXrepeatXoutX_timesX2X__outX_name()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount()`
    `abstract Traversal<Vertex,String>` | `get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_unionXout__inX_name()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount()`
    `abstract Traversal<Vertex,Number>` | `get_g_VX1_2X_localXunionXcountXX(Object v1Id, Object v2Id)`
    `abstract Traversal<Vertex,Number>` | `get_g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX(Object v1Id, Object v2Id)`
    `abstract Traversal<Vertex,Number>` | `get_g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX(Object v1Id, Object v2Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_unionXrepeatXoutX_timesX2X__outX_name(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionTest

          public UnionTest()

  - ### Method Detail

    - #### get_g_V_unionXout__inX_name

          public abstract Traversal<Vertex,String> get_g_V_unionXout__inX_name()

    - #### get_g_VX1X_unionXrepeatXoutX_timesX2X__outX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_unionXrepeatXoutX_timesX2X__outX_name(Object v1Id)

    - #### get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX

          public abstract Traversal<Vertex,String> get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX()

    - #### get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount()

    - #### get_g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount()

    - #### get_g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX

          public abstract Traversal<Vertex,Number> get_g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX(Object v1Id,
                                                                                                              Object v2Id)

    - #### get_g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX

          public abstract Traversal<Vertex,Number> get_g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX(Object v1Id,
                                                                                                                     Object v2Id)

    - #### get_g_VX1_2X_localXunionXcountXX

          public abstract Traversal<Vertex,Number> get_g_VX1_2X_localXunionXcountXX(Object v1Id,
                                                                                    Object v2Id)

    - #### g_V_unionXout__inX_name

          public void g_V_unionXout__inX_name()

    - #### g_VX1X_unionXrepeatXoutX_timesX2X__outX_name

          public void g_VX1X_unionXrepeatXoutX_timesX2X__outX_name()

    - #### g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX

          public void g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX()

    - #### g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount

          public void g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount()

    - #### g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount

          public void g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount()

    - #### g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX

          public void g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX()

    - #### g_VX1_2X_localXunionXcountXX

          public void g_VX1_2X_localXunionXcountXX()

    - #### g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX

          public void g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.